
locals {
  additional_capabilities = var.additional_capabilities
  analytical_storage = var.analytical_storage
  application_name = var.application_name
  auto_failover = var.auto_failover
  azure_dc_access = var.azure_dc_access
  azure_portal_access = var.azure_portal_access
  backup_enabled = var.backup_enabled
  backup_interval = var.backup_interval
  backup_retention = var.backup_retention
  backup_storage_redundancy = var.backup_storage_redundancy
  backup_type = var.backup_type
  capabilities = var.capabilities
  cassandra_keyspaces = var.cassandra_keyspaces
  cassandra_tables = var.cassandra_tables
  consistency_level = var.consistency_level
  cosmos_account_name = var.cosmos_account_name
  cosmos_api = var.cosmos_api
  enable_systemassigned_identity = var.enable_systemassigned_identity
  environment = var.environment
  event_hub = var.event_hub
  firewall_ip = var.firewall_ip
  free_tier = var.free_tier
  geo_locations = var.geo_locations
  gremlin_dbs = var.gremlin_dbs
  gremlin_graphs = var.gremlin_graphs
  ip_firewall_enabled = var.ip_firewall_enabled
  key_vault_key_name = var.key_vault_key_name
  key_vault_name = var.key_vault_name
  key_vault_rg_name = var.key_vault_rg_name
  location = var.location
  log_analytics = var.log_analytics
  logs_config = var.logs_config
  max_interval_in_seconds = var.max_interval_in_seconds
  max_staleness_prefix = var.max_staleness_prefix
  mongo_db_collections = var.mongo_db_collections
  mongo_dbs = var.mongo_dbs
  multi_region_write = var.multi_region_write
  pe_subresource = var.pe_subresource
  private_dns_zone_name = var.private_dns_zone_name
  private_endpoint = var.private_endpoint
  public_network_access_enabled = var.public_network_access_enabled
  resource_group_name = var.resource_group_name
  sql_db_containers = var.sql_db_containers
  sql_dbs = var.sql_dbs
  storage_account = var.storage_account
  tables = var.tables
}
